package weaver.formmode.organization.modeexpand;

import com.engine.organization.util.OrganizationDateUtil;
import weaver.conn.RecordSet;
import weaver.formmode.customjavacode.AbstractModeExpandJavaCodeNew;
import weaver.general.Util;
import weaver.hrm.User;
import weaver.soa.workflow.request.RequestInfo;

import java.sql.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 虚拟组织删除map表接口
 */
public class VODeleteModeExpand extends AbstractModeExpandJavaCodeNew {

    public Map<String, String> doModeExpand(Map<String, Object> param) {
        Map<String, String> result = new HashMap();
        try {
            User user = (User) param.get("user");
            int billid = -1;//数据id
            int modeid = -1;//模块id
            RequestInfo requestInfo = (RequestInfo) param.get("RequestInfo");
            if (requestInfo != null) {
                billid = Util.getIntValue(requestInfo.getRequestid());
                modeid = Util.getIntValue(requestInfo.getWorkflowid());
                if (billid > 0 && modeid > 0) {
                    //------请在下面编写业务逻辑代码------
                    String billids = (String) param.get("CheckedCheckboxIds");
                    String[] billidsTmp = billids.split(",");
                    String currentDate = OrganizationDateUtil.getFormatLocalDate(new java.util.Date());
                    RecordSet rs = new RecordSet();
                    int st = 500000000;
                    for (String id : billidsTmp) {
                        int nid = Integer.parseInt(id) + st;
                        String delsql = "delete from JCL_ORG_MAP where id=" + nid + " and fisvitual='1'";
                        rs.execute(delsql);
                        String updatesql = "update JCL_ORG_MAP set fdateend='" + new Date(OrganizationDateUtil.stringToDate(currentDate).getTime()) +
                                "' where id=" + nid + " and fisvitual='1'";
                        rs.execute(updatesql);
                    }
                }
            }
        } catch (Exception e) {
            result.put("errmsg", "自定义出错信息");
            result.put("flag", "false");
        }
        return result;
    }

}
